πŸ”‘Authorization

circle-info

Good to know: All the methods shown below are synced to an example Swagger file URL and are kept up to date automatically with changes to the API.

Login / Registration

post
Body
userNamestring Β· nullableOptional
passwordstring Β· nullableOptional
Responses
chevron-right
200

Success

No content

post
/auth
200

Success

No content

post
Body
namestring Β· nullableOptional
emailstring Β· nullableOptional
passwordstring Β· nullableOptional
toSbooleanOptional
Responses
chevron-right
200

Success

No content

post
/auth/register
200

Success

No content

Refresh / Revoke Sessions

post
Query parameters
refreshTokenstringOptional
Responses
chevron-right
200

Success

No content

post
/auth/refreshtoken
200

Success

No content

post
Query parameters
refreshTokenstringOptional
Responses
chevron-right
200

Success

No content

post
/auth/revoketoken
200

Success

No content

get
Responses
chevron-right
200

Success

No content

get
/account/overview
200

Success

No content

Reset Password Workflow

post
Body
emailstring Β· nullableOptional
Responses
chevron-right
200

Success

No content

post
/auth/requestreset
200

Success

No content

post
Body
tokenstring Β· nullableOptional
newPasswordstring Β· nullableOptional
Responses
chevron-right
200

Success

No content

post
/auth/resetpassword
200

Success

No content

Last updated